Skip to main content

Get list of predefined MW scrips

Request to be POSTed to uri : /NorenWClientAPI/PreDefinedMW

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
wlname*Name of the Watchlist, for which scrip list is required.

Example:

curl --location 'https://api.kambala.co.in/NorenWClientAPI/PreDefinedMW' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab67cdf7d4d350db03c9334bef7be8fc802fc6d5bc9342f4ac60d60d8c9930e2' \
--data 'jData={"uid":"DEMO","wlname":"WL7"}

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
statOk or Not_OkMarket watch success or failure indication.
valuesArray of json objects. (object fields given in below table)
Json Fields of object in values ArrayPossible valueDescription
exchNSE, BSE, NFO ...Exchange
tsymTrading symbol of the scrip (contract)
ppPrice precision
tiTick size
lsLot size

Sample Success Response:

{
"stat": "Ok",
"values": [
{
"exch": "NSE",
"token": "15083",
"tsym": "ADANIPORTS-EQ",
"pp": "2",
"ls": "1",
"ti": "0.05"
},
{
"exch": "NSE",
"token": "236",
"tsym": "ASIANPAINT-EQ",
"pp": "2",
"ls": "1",
"ti": "0.05"
},
{
"exch": "NSE",
"token": "5900",
"tsym": "AXISBANK-EQ",
"pp": "2",
"ls": "1",
"ti": "0.05"
},
{
"exch": "NSE",
"token": "16669",
"tsym": "BAJAJ-AUTO-EQ",
"pp": "2",
"ls": "1",
"ti": "0.05"
},
{
"exch": "NSE",
"token": "16675",
"tsym": "BAJAJFINSV-EQ",
"pp": "2",
"ls": "1",
"ti": "0.05"
},
{
"exch": "NSE",
"token": "317",
"tsym": "BAJFINANCE-EQ",
"pp": "2",
"ls": "1",
"ti": "0.05"
},
....
]
}

Sample Failure Response :

{
"stat":"Not_Ok",
"emsg":"Invalid Input : Missing uid or wlname."
}